Loading...
Searching...
No Matches
seqan3::align_cfg::score_type< score_t > Class Template Reference
Sequence Alignment » Configuration

A configuration element to set the score type used in the alignment algorithm. More...

`#include <seqan3/alignment/configuration/align_config_score_type.hpp>`

Inheritance diagram for seqan3::align_cfg::score_type< score_t >:
[legend]

## Public Types

using | type = score_t
| The selected score type.

## Public Member Functions

Constructor, destructor and assignment
constexpr | score_type ()=default
| Defaulted.
constexpr | score_type (score_type const &)=default
| Defaulted.
constexpr | score_type (score_type &&)=default
| Defaulted.
constexpr score_type & | operator= (score_type const &)=default
| Defaulted.
constexpr score_type & | operator= (score_type &&)=default
| Defaulted.
| ~score_type ()=default
| Defaulted.

## Detailed Description

template<arithmetic score_t>
class seqan3::align_cfg::score_type< score_t >

A configuration element to set the score type used in the alignment algorithm.

Template Parameters

  score_t | The type to use for the computed alignment score; must model seqan3::arithmetic.

This option configures the score type of the alignment algorithm. By default, the alignment algorithm will only compute the score with score type int32_t.

### Example

// SPDX-FileCopyrightText: 2006-2025 Knut Reinert & Freie Universität Berlin
// SPDX-FileCopyrightText: 2016-2025 Knut Reinert & MPI für molekulare Genetik
// SPDX-License-Identifier: CC0-1.0
#include <seqan3/alignment/configuration/align_config_score_type.hpp>
#include <seqan3/core/configuration/configuration.hpp>
int main()
{
// Compute only the score.
seqan3::configuration cfg1 =
seqan3::align_cfg::score_type<int16_t>{}; // Now the alignment computes 16 bit integers.
seqan3::configuration cfg2 = seqan3::align_cfg::score_type<float>{}; // Now the alignment computes float scores.
}
align_config_score_type.hpp
Provides alignment configuration seqan3::align_cfg::score_type.
seqan3::align_cfg::score_type
A configuration element to set the score type used in the alignment algorithm.
Definition align_config_score_type.hpp:33
seqan3::configuration
Collection of elements to configure an algorithm.
Definition configuration.hpp:42
configuration.hpp
Provides seqan3::configuration and utility functions.

The documentation for this class was generated from the following file:

- align_config_score_type.hpp

Hide me